Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 6117

Summary: lpr does not print with local printer. Worked in 6.0
Product: [Retired] Red Hat Linux Reporter: jstrand1
Component: lprAssignee: Bill Nottingham <notting>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: high    
Version: 6.1CC: mark, mgalgoci, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-11-08 18:45:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description jstrand1 1999-10-20 04:32:42 UTC
I currently use an HP DeskJet712C printer, and although it
is only partitally supported, with the drivers from
httptech.com, I was able to get the printer to work in black
and white.  I would add an entry to printerdb in
rhl-printfilters, then add the printer (which was detected
on lp0) with printtool (with some extra options telling it
what driver to use).  This worked perfectly in 6.0, but now
when I restart lpd and try to print a test page, it gets
hung up and does not print.

Note, I can print via other means, so it is not the
printer.  However, the functionality provided with RedHat
6.0 is missed.

Comment 1 Bill Nottingham 1999-10-20 04:42:59 UTC
Do you have the line:

alias parport_lowlevel parport_pc

in /etc/conf.modules?

Comment 2 Bill Nottingham 1999-10-20 14:10:59 UTC
Did you recompile ghostscript with the different driver you're using
again?

Comment 3 Bill Nottingham 1999-10-29 20:48:59 UTC
It's not running out of disk space, correct?

What happens if you install the rhs-printfilters from 6.0?

Comment 4 Bill Nottingham 1999-11-01 18:31:59 UTC
Try installing the rhs-printfilters from 6.0, and copying
/usr/lib/rhs/rhs-printfilters/master-filter to
/var/spool/lpd/<whatever>/filter.

Does that solve the problem?

What does the huge file in /tmp look like?

------- Additional Comments From   11/04/99 12:15 -------
In order to get the parallel port detected using the 2.2.12-20 kernel,
you must have the following conditions met:

1) Have "alias parport_lowlevel parport_pc" in /etc/conf.modules
2) Use a DMA parallel port mode. VERY IMPORTANT!

This is of course fixed in the 2.2.12-27 kernel. None of the above
apply for this kernel.

------- Additional Comments From   11/04/99 20:14 -------
add:  parport_lowlevel parport_pc  to /etc/conf.modules

Comment 5 Bill Nottingham 1999-11-08 18:45:59 UTC
OK, this should be fixed (the pbm2ppa problem) with
rhs-printfilters-1.58, which will be in the next Raw Hide
release.